Bug 1264555 - (6.4.z) Memory leak in remoting-jmx : https://issues.jboss.org/browse/REMJMX-94
(6.4.z) Memory leak in remoting-jmx : https://issues.jboss.org/browse/REMJMX-94
Status: CLOSED CANTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMX (Show other bugs)
6.4.3
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: baranowb
:
Depends On:
Blocks: 1191002
  Show dependency treegraph
 
Reported: 2015-09-18 15:31 EDT by Simeon Pinder
Modified: 2016-09-19 03:58 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: http://bugs.java.com/view_bug.do?bug_id=6543126 Consequence: The issue doesn't really have a workaround. The logmanager, or possibly in this case jboss-client.jar as it shades in the logmanager, needs to be loaded by the same class loader each time. Creating a new class loader to load the library each time will always result in a memory leak. Fix: No possible Result: JDK8+ should fix the problem
Story Points: ---
Clone Of: 1191002
Environment:
Last Closed: 2016-09-19 03:58:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-710 Major Reopened Memory leak in remoting-jmx : https://issues.jboss.org/browse/REMJMX-94 2017-07-10 12:21 EDT
JBoss Issue Tracker REMJMX-94 Major Open Memory leak in remoting-jmx 2017-07-10 12:21 EDT

  None (edit)

Note You need to log in before you can comment on or make changes to this bug.